Package org.eclipse.jgit.internal.storage.dfs

## Class DfsRepositoryDescription

- java.lang.Object
- - org.eclipse.jgit.internal.storage.dfs.DfsRepositoryDescription

    public class DfsRepositoryDescription
    extends Object

A description of a Git repository on a DFS.

### Constructor Summary

Constructors
`DfsRepositoryDescription()` Initialize a new, empty repository description.
`DfsRepositoryDescription​(String repositoryName)` Initialize a new repository description.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object b)`
`String` `getRepositoryName()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DfsRepositoryDescription

    public DfsRepositoryDescription()

Initialize a new, empty repository description.

#### DfsRepositoryDescription

    public DfsRepositoryDescription​(String repositoryName)

Initialize a new repository description.

Parameters:
  `repositoryName` - the name of the repository.

### Method Detail

#### getRepositoryName

    public String getRepositoryName()

Returns:
  the name of the repository.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object b)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`